Subject: bug#56844: [PATCH] Refactor repunctuate-sentences to accommodate corner case.

From: André A. Gomes <[email-masked]>
Date: Tue, 02 Aug 2022 14:43:42 +0300

Juri Linkov <[email-masked]> writes:

>>> It now gracefully handles the case when abbreviations such as e.g. or
>>> i.e. are used in sentences.
>>
>> [...]
>>
>>> +        (regexp "\\([]\"')]?\\)\\([.?!]\\)\\([]\"')]?\\) +\\([\"')[:upper:]]\\)")
>>
>> I'm not quite sure I understand this patch.  Are you changing this to
>> only consider punctuation that's followed by an upper-case character to
>> be sentence-end punctuation?
>
> It would be better to add such heuristics to repunctuate-sentences-filter,
> so anyone could customize it.

In general I'd agree with you, but this patch is actually fixing a bug,
not introducing a personal preference.  That's how I see it at least.

-- 
André A. Gomes
"You cannot even find the ruins..."